var express = require('express')
var router = express.Router()

let Tags = require('@models/Tags');
let userId = null

// middleware that is specific to this router
router.use(function setUserId (req, res, next) {
	if(userId = req.headers.userId){
		userId = req.headers.userId
	}
	
	next()
})

//Get the latest notes the user has created
router.post('/addtonote', function (req, res) {
	Tags.addToNote(userId, req.body.noteId, req.body.tagText.toLowerCase())
	.then( data => res.send(data) )
})

router.post('/removefromnote', function (req, res) {
	Tags.removeTagFromNote(userId, req.body.tagId)
	.then( data => res.send(data) )
})

//Get the latest notes the user has created
router.post('/get', function (req, res) {
	Tags.get(userId, req.body.noteId)
	.then( data => res.send(data) )
})

module.exports = router